Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng

# Enum Class FbBlob.SeekMode

java.lang.Object
java.lang.Enum<FbBlob.SeekMode>
org.firebirdsql.gds.ng.FbBlob.SeekMode

All Implemented Interfaces:
  `Serializable`, `Comparable<FbBlob.SeekMode>`, `Constable`

Enclosing interface:
  FbBlob

public static enum FbBlob.SeekMode extends Enum<FbBlob.SeekMode>
Seek mode for `FbBlob.seek(int, org.firebirdsql.gds.ng.FbBlob.SeekMode)`.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ABSOLUTE`
Absolute seek from start of blob.
`ABSOLUTE_FROM_END`
Absolute seek from end of blob.
`RELATIVE`
Relative seek from current position in blob.

## Method Summary

Modifier and Type
Method
Description
`static FbBlob.SeekMode`
`getById(int seekModeId)`
Get the SeekMode instance by the (Firebird) seekmode id.
`int`
`getSeekModeId()`
`static FbBlob.SeekMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FbBlob.SeekMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ABSOLUTE

public static final FbBlob.SeekMode ABSOLUTE
Absolute seek from start of blob.

### RELATIVE

public static final FbBlob.SeekMode RELATIVE
Relative seek from current position in blob.

### ABSOLUTE_FROM_END

public static final FbBlob.SeekMode ABSOLUTE_FROM_END
Absolute seek from end of blob.

## Method Details

### values

public static FbBlob.SeekMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FbBlob.SeekMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getSeekModeId

public int getSeekModeId()

Returns:
  Seek mode value used within Firebird (and the native API, wire protocol)

### getById

public static FbBlob.SeekMode getById(int seekModeId)
Get the SeekMode instance by the (Firebird) seekmode id.

Valid values are:

- `0` - for `ABSOLUTE`
- `1` - for `RELATIVE`
- `2` - for `ABSOLUTE_FROM_END`

Parameters:
  `seekModeId` - The seekmode id.
Returns:
  Instance of SeekMode matching the id.
Throws:
  `IllegalArgumentException` - For values that do not have a SeekMode instance.